
Redmine - Feature #1083
Accept new tickets via email
2008-04-21 21:50 - Chris Platts

Status: Closed Start date: 2008-04-21
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Resolution:
Description

I got an interesting bit of feedback from one of my colleagues yesterday after a very successful (and well-liked!) roll-out of our
Redmine installation.

He suggested the ability to accept new tickets into a project via email.

Perhaps it could work something like this:

    -  Each project is configured with an email address, via the Project Settings page
    -  Defaults are set for required fields (i.e. tracker, status, priority -- something like 'via email', '(unassigned)' or 'pooled')
    -  Emails sent to the project's email address are fed into Redmine, creating issues with the email's subject and body as the issue's
subject and description fields).  Other issue properties are set as per the defaults configured (as above)

Perhaps these issues would be logged in their own tracker.  Users with appropriate permissions for that tracker could then triage and
reassign incoming issues to other trackers and with their properties adjusted as is seen fit by the user.

Related issues:
Related to Redmine - Patch # 1110: Allow email to create issue or add comment Closed 2008-04-25
Duplicates Redmine - Feature # 444: submit issue via email Closed

History
#1 - 2008-04-21 21:52 - Chris Platts

Heh.  Please excuse my typo of 'tickets' rather than 'issues' in the subject line!  It's pretty obvious I was once a Trac user :)

#2 - 2008-04-22 10:40 - Thomas Lecavelier

Marked as duplicated from #444, these explanations seemed clearer.

#3 - 2008-11-11 10:43 - Jean-Philippe Lang
- Status changed from New to Closed

Feature added. See #1110.
